ndpi (4.2-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Mon, 05 Feb 2024 15:06:25 +0000

ndpi (4.2-2) unstable; urgency=medium

  * Source only reupload to allow testing migration

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Apr 2022 21:37:48 +0200

ndpi (4.2-1) unstable; urgency=medium

  * New upstream version 4.2 (Closes: #950404)
  * Uncomment commented tests, lets see how they perform on different archs.
  * Update library soname from 4.0 to 4.2
  * Drop docs file, removed
  * Add clean target to make subsequent builds succeed
  * Add libroaring-dev dependency (commented for now since it FTBFS on s390x)
  * Refresh patches and drop patches now upstream
  * Update copyright file and years
  * debian/patches/cross.patch: fix cross building issue
    - fix FTCBFS (Closes: #1003311)
  * Fix FTCFBS: Don't configure during autogen.sh. (Closes: #1003311)
  * Refresh symbols

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Apr 2022 17:37:09 +0200

ndpi (4.0-4) unstable; urgency=medium

  * Team upload
  * Drop old include-binaries useless file
  * Update std-version to 4.6.0
  * Drop old override_dh_strip, the dbgsym migration is now done
  * Drop two old copyright entries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Sep 2021 22:04:56 +0200

ndpi (4.0-3) unstable; urgency=medium

  * Team upload
  [ Bernhard Übelacker <bernhardu@mailbox.org> ]
  * debian/patches/fix-unaligned-memory-accesses-with-get_u_int64_t-at-
    armhf.patch
  * debian/patches/use-get_u_int64_t-to-avoid-unaligned-memory-access-at-
    armhf.patch:
    - fix two armhf unaligned accesses. (Closes: #993627)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Sep 2021 21:57:52 +0200

ndpi (4.0-2) unstable; urgency=medium

  * Rebuild on official builders.
    - not asking for a binNMU because it requires an NMU on every architecture
      due to multi-arch, and better avoid useless mips rebuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Sep 2021 18:59:20 +0200

ndpi (4.0-1) unstable; urgency=medium

  * New upstream version 4.0
    - CVE-2021-36082 Closes: #990528
  * Refresh patches
  * bump somane from 3.4 to 4.0 and refresh symbols
  * update copyright file
  * add patch to force usage of system uthash

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Aug 2021 14:04:41 +0200

ndpi (3.4-3) unstable; urgency=high

  * Team upload.
  * Fix i386 build by changing the precision of the calculations.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #981771)

 -- Raphaël Hertzog <raphael@offensive-security.com>  Tue, 09 Feb 2021 12:14:08 +0100

ndpi (3.4-2) unstable; urgency=medium

  [ Nicholas Brown ]
  * Add dependency to allow ndpi library users to build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Jan 2021 17:54:21 +0100

ndpi (3.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Gianfranco Costamagna ]
  * New upstream version 3.4 (Closes: #972050)
    - CVE-2020-11939 CVE-2020-11940 CVE-2020-15471
    - CVE-2020-15472 CVE-2020-15473 CVE-2020-15474
    - CVE-2020-15475 CVE-2020-15476
  * Team upload (salsa.d.o namespace)
  * Add R^3: no
  * Add libgcrypt20-dev dependency, used for tests
  * Update copyright years
  * Bump std-version to 4.5.0, and compat level to 13
  * Drop old define-have-json-c.patch: not needed anymore
  * Rebase patches for new release (keeping one little library as static)
  * Drop dh_auto_install override: txt files are now correctly
    installed upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Dec 2020 10:50:44 +0100

ndpi (3.0-1) unstable; urgency=medium

  * New upstream version 3.0
  * Refresh patches
  * Remove patches merged upstream:
    - 662.patch
    - aea91781aa476589361e16ece6aa6c10102e0f33.patca
    - cross.patch
    - ndpireader-no-free.patch
    - packet-direction.patch
    - quic.patch
  * Rename package libndpi2.6 to libndpi3.0
  * Update symbols file for libndpi3.0
  * Update copyright
  * Remove unnecessary override_dh_install, export WIRESHARK_PLUGINDIR, and
    whitelist it in lintian.
  * Update Standards-Version to 4.4.1
  * Add all sources needed to build ndpiReader to libndpi-dev docs
  * Remove .txt files installed in /usr/sbin
  * Drop get-orig-source target from rules file
  * Bump build-dependency on libwireshark-dev >= 3.0 as required by the
    ndpi.lua plugin

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 24 Dec 2019 19:22:40 +0100

ndpi (2.6-5) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * Add CPPFLAGS to make blhc happy
  * Also add LDFLAGS
  * Bump compat level to 12
  * Bump std-version to 4.4.0
  * Make copyright URI in https mode

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Sep 2019 23:04:00 +0200

ndpi (2.6-4) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * debian/patches/662.patch:
    - make the build reproducible (Closes: #929609)
  * debian/patches/aea91781aa476589361e16ece6aa6c10102e0f33.patch:
    - fix armhf failure with upstream patch (Closes: #917238)
  * debian/patches/cross.patch:
    - Patch from Helmut Grohne <helmut@subdivi.de> to fix FTCBFS on
      cross-builds (Closes: #939286)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2019 18:37:11 +0200

ndpi (2.6-3) unstable; urgency=medium

  * Add packet-direction.patch and quic.patch to fix big-endian-related bugs.
  * Disable tests that have inconsistent behavior across architecture due to
    broken sorting in the test code.

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 16 Jan 2019 01:48:34 -0800

ndpi (2.6-2) unstable; urgency=medium

  * Remove no longer needed build-dep on xdelta.
  * Fix reference-after-free in ndpiReader and optimistically re-enable all
    tests succeeding on amd64 and i386.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 15 Jan 2019 01:04:36 -0800

ndpi (2.6-1) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [e941738] Update upstream source from tag 'upstream/2.6'
    Update to upstream version '2.6'
    with Debian dir ebb088f5b1a1a88743e71021b4a9c252b397527e
    This will also hopefully fix all test issues.
    Closes: #886133
  * [a7ca26d] Removing patches as they don't apply anymore.
  * [52af6ea] Disable binary patches for tests
  * [61b7054] Install into /usr
  * [9a430fe] Add patch to fix prefix in Makefile.
  * [647cd1a] Fix and activate tests.
  * [65e0c54] Updating git info
  * [e54c89d] Updating symbols file.
  * [f0451ce] Add gitlab CI file.
  * [9a4a0f1] Disable tests which are broken on big endian.
  * [d58ddad] Disabling another test.

  [ Ludovico Cavedon ]
  * Change SONAME and lib package name to include minory library version.
  * Use libwireshark-dev to determine wireshak plugin path.
  * Add define-have-json-c.patch to ensure ndpiReader is compiled with JSON
    support.
  * Link ndpiReader dynamically against libndpi and avoid lnking against
    unnecessary C++ libraries.
  * Stop adding libcache.h to -dev package.
  * Add DEP3 header to patches/fix-makefile-prefix.
  * Check DEB_BUILD_OPTIONS before running tests.
  * Update Standards-Version to 4.3.0.
  * Update debian/copyright for new upstream code.

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 14 Jan 2019 11:17:02 -0800

ndpi (2.2-1) unstable; urgency=medium

  * Imported Upstream version 2.2 (Closes: #878128, #878124).
  * Update watch file to fetch new versions from github.
  * Update copyright file.
  * Add Multi-Arch flags in control file.
  * Add libndpi-wireshark with wireshark dissector.
  * Bump Standards-Version to 4.1.2.
  * Update and refresh patches.
  * Stop using dh-autoreconf (automatically called by autogen.sh).
  * Add no-configure-after-autogen.patch to prevent autogen.sh from
    automatically invoking configure.
  * Update export-additional-symbols.patch, adding new required exported
    symbols in libndpi.sym.
  * Bump libndpi SONAME to 5.
  * Use pkg-info.mk for parsing changelog.
  * Patch nintendo.pcap and skype-conference-call.pcap to make sure libpcap is
    able to open them during tests, based on
    https://github.com/ntop/nDPI/issues/462#issuecomment-332552609.
  * Embded libcache.h into libndpi includes, as it is included by
    ndpi_typedefs.h.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 26 Dec 2017 02:10:48 +0100

ndpi (1.8-1) unstable; urgency=medium

  * Imported Upstream version 1.8
  * Update copyright.
  * Refresh and update pacthes.
  * Remove export-additional-symbols.patch (merged upstream).
  * Update Standards-Version to 3.9.8.
  * Update symbols file for libndpi3.
  * Bump SONAME to libndpi4.
  * Enable all build hardening.
  * Migrate to libndpi-dbgsym.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 10 Dec 2016 20:08:44 -0800

ndpi (1.7.1~git20151130.6f3d5a7-1) unstable; urgency=medium

  * Imported Upstream version 1.7.1~git20151130.6f3d5a7
  * Support fetching a specific version from upstream git.
  * Refresh patches.
  * Update copyright.
  * Update symbols list.
  * Add add-missing-headers.patch to include ndpi_includes.h.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 25 Dec 2015 21:00:52 +0100

ndpi (1.6-1) unstable; urgency=low

  * Imported Upstream version 1.6
  * Update copyright with the removal of embedded json-c.
  * Remove pcap-linking.patch and export-additional-symbols.patch (merged
    upstream).
  * Update json-c-use-system.patch and example-link-dynamic.patch for new
    upstream code.
  * Update debian/watch file for new upstrm tarball name.
  * Update docs and copyright.
  * Bump SONAME to 2 and update symbol file.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 09 Sep 2014 16:55:57 -0700

ndpi (1.5.0-1) unstable; urgency=medium

  * Imported Upstream version 1.5.0
  * Update copyright.
  * Add README.Debian to point to upstream documentation.
  * Update library symbols.
  * Update Standards-Version to 3.9.5.
  * Add ndpiReader.c example.
  * Build ndpiReader into separate package libndpi-bin
  * Update watch file for new stable release.
  * Update debian/rules get-orig-source to support invoking uscan.
  * Rename library package to libndpi1a.
  * Remove all previous patches.
  * Add example-link-dynamic.patch for dynamically linking examples against
    libndpi.
  * Add json-c-use-system.patch for using system libjson-c.
  * Add pcap-linking.patch to avoid linking libndpi against libpcap.
  * Include ndpiReader in libndpi-bin package.
  * Add man page for ndpiReader.
  * Add export-additional-symbols.patch to export ndpi_set_proto_defaults
    symbol.
  * Add Build-Depends on libpcap-dev and pkg-config.
  * Add libndpi-dbg package with debug symbols.

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 14 Aug 2014 00:12:37 -0700

ndpi (1.4.0+svn6932-1) unstable; urgency=low

  * New upstream release (synced with ntopng 1.1).
  * Update symbols file.
  * Remove unused substitution variable in control file.

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 11 Nov 2013 23:20:11 -0800

ndpi (1.4.0+svn6712-1) unstable; urgency=low

  * Initial release. Thanks to Raphaël Hertzog. (Closes: #721551)

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 01 Sep 2013 23:06:24 +0200
